aboutsummaryrefslogtreecommitdiffstats
path: root/rssyl
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-11-17 07:58:42 +0100
committerMattias Andrée <maandree@operamail.com>2012-11-17 07:58:42 +0100
commit2a2f0d44710da2bbb88e7c2ff666bf729df45805 (patch)
treea5917bdcd454e986cc66e82672c6561e5ca2aa0b /rssyl
parentautomatich update watch for xz-java (diff)
downloadaur-packages-2a2f0d44710da2bbb88e7c2ff666bf729df45805.tar.gz
aur-packages-2a2f0d44710da2bbb88e7c2ff666bf729df45805.tar.bz2
aur-packages-2a2f0d44710da2bbb88e7c2ff666bf729df45805.tar.xz
automatic update watch for rssyl
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'rssyl')
-rwxr-xr-xrssyl/watch17
1 files changed, 17 insertions, 0 deletions
diff --git a/rssyl/watch b/rssyl/watch
new file mode 100755
index 0000000..4002878
--- /dev/null
+++ b/rssyl/watch
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+wget 'http://www.claws-mail.org/plugins.php?branch=EXT' >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ head --lines=$(( $(grep -n RSSyl < 'plugins.php?branch=EXT' | cut -f 1 -d \:) + 30 )) < 'plugins.php?branch=EXT' | tail --lines=30 | grep nowrap | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'rssyl'
+ fi
+ rm 'plugins.php?branch=EXT'
+else
+ echo 'rssyl (unfetchable)'
+fi
+